|

Forward CIP information to Alpaca

post/users/{fp_id}/integrations/alpaca/cip
External ID
Composes CIP information for the provided user and forwards it to Alpaca.

Request

Path parameters

fp_id·

string

Body

account_id·

string

The associated user's alpaca account id
api_key·

string

API Key to use with alpaca
api_secret·

string

API Secret to use with alpaca
default_approver·

string

The default approver name/email to use for automatically approved users. This will be overwritten if done by a manual reviewer

hostname·

string

Alpaca Hostname to use (i.e. sandbox or production, like: broker-api.sandbox.alpaca.markets)

Response

alpaca_response·

object

status_code·

integer

HTTP status code from Alpaca response
POST /users/{fp_id}/integrations/alpaca/cip
1curl -X POST https://api.onefootprint.com/users/{fp_id}/integrations/alpaca/cip \
2  -u sk_test_xxxxx: \
3  -d '{
4    "account_id": "Lorem ipsum dolor",
5    "api_key": "Lorem ipsum dolor",
6    "api_secret": "Lorem ipsum dolor",
7    "default_approver": "Lorem ipsum dolor",
8    "hostname": "Lorem ipsum dolor"
9  }'
Response example
{
  "alpaca_response": {},
  "status_code": 200
}